#include <bits/stdc++.h>

using namespace std;

int main()
{
    int k,l=0,m=0;
    scanf("%d",&k);
    printf("%d\n",k*3);
    for (int i=1;i<=k;i++){
        printf("%d %d\n",l,m);
        m++;
        printf("%d %d\n",l,m);
        m++;
        printf("%d %d\n",l,m);
        l+=i;
        m+=i;
    }
    return 0;
}